/*
JRater Applet - an applet that approximates a USCF rating based on a tournament.
Copyright (C) 2012 Cory Fosmire

This file is part of the JRater Applet.

JRater is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

JRater is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with JRater.  If not, see <http://www.gnu.org/licenses/>.
*/

import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
/**
	 * An about frame
	 * @param owner the JFrame that this will be added to.
	 */
public class AboutDialog extends JDialog
{
	
	private static final long serialVersionUID = -6018345652099338358L;
	/**
	 * 
	 * @param owner the JFrame that this will be added to.
	 */
	public AboutDialog(JFrame owner)
	{
		super(owner, "About JRater 1.1", true);
		Container contentPane = getContentPane();
		contentPane.add(new JLabel("<HTML><H1><I>JRater 1.1</H1></I><HR>"
				+ "By CMF. Copywrong 2012. All lefts reserved."),BorderLayout.CENTER);
		
		JButton ok = new JButton("OK");
		ok.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				setVisible(false);
			}
		});
		JPanel p = new JPanel();
		p.add(ok);
		contentPane.add(p, BorderLayout.SOUTH);
		
		setSize(300,175);
	}
}
